Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234585 - 3.0.24.fc7 update for x86_64 brok samba
Summary: 3.0.24.fc7 update for x86_64 brok samba
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-30 10:50 UTC by Mike Reeves
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-02 21:35:06 UTC


Attachments (Terms of Use)
Zipped docs about the samba problem (deleted)
2007-04-02 00:18 UTC, Mike Reeves
no flags Details

Description Mike Reeves 2007-03-30 10:50:44 UTC
Installed updates last night and the samba - 3.0.24-8.fc7.x86_64 broke smb. I
can no longer see samba from my windows machines or from the fc7 desktop.

Comment 1 Simo Sorce 2007-03-30 12:54:26 UTC
Have you forced the installation of packages?
Can you check libsmbclient-3.0.24-8.fc7 is installed ?


Comment 2 Mike Reeves 2007-03-30 22:29:35 UTC
lbsmbclient-3.0.24-9.fc7.x86_64 was installed tonight and the smb server still 
does not work. I can see the windows shares from the client but not the linux 
share and I can no longer see the Linux share from windows. How can I back out 
this maintenance?

Comment 3 Mike Reeves 2007-03-30 22:36:39 UTC
Oops forgot to answer your question. No I have not forced any packages, I 
simply select the "Software Updater" and install whatever comes up in the 
update. Nothing special at all.

Comment 4 Mike Reeves 2007-04-02 00:18:41 UTC
Created attachment 151400 [details]
Zipped docs about the samba problem

I am tired of playing around with the x86_64 and am going to overlay it with
the x386 version. Attached are as many things as I could easily capture about
the problem. I changed the debug level to 10 on samba and included those logs
along with the var/log/messages as well as the output from an "smbclient -L
swamp-vmm". As you can see the client sees the swamp-vmm server but it does not
show up on the "Network" icon of the "Computer" dialog box as do the windows
shares.

Comment 5 Simo Sorce 2007-04-02 13:35:08 UTC
Can you stop nmbd, delete browse.dat / wins.dat and restart nbmd?
You may have to wait a few seconds to let announcements and replication to happen.

Comment 6 Simo Sorce 2007-04-02 15:47:54 UTC
Thinking again, can you make sure the nmb init script is set up to start at boot?
In Fc7 I changed the init scripts and split them into smb and nmb so that nmbd
can be restarted seprately.
run 'chkconfig nmb on' and 'service nmb restart' to be sure.

Comment 7 Mike Reeves 2007-04-02 21:25:32 UTC
Doah! I knew that! Yikes. Sorry, nmb was not up! I should have checked that. 
Although turning nmb on should be a default thing for samba - right!

thx

Comment 8 Simo Sorce 2007-04-02 21:35:06 UTC
By policy, turning on or off daemons is left to the user I will check that our
configuration tools manage this, thanks.


Note You need to log in before you can comment on or make changes to this bug.